
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_offerpricers_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for BaggageTypeContentType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="BaggageTypeContentType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="CheckedBag"/&amp;gt;
 *     &amp;lt;enumeration value="CarryOnBag"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "BaggageTypeContentType")
@XmlEnum
public enum BaggageTypeContentType {

    @XmlEnumValue("CheckedBag")
    CHECKED_BAG("CheckedBag"),
    @XmlEnumValue("CarryOnBag")
    CARRY_ON_BAG("CarryOnBag");
    private final String value;

    BaggageTypeContentType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static BaggageTypeContentType fromValue(String v) {
        for (BaggageTypeContentType c: BaggageTypeContentType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
